Bug 671465 - Content Provider not being updated on synching packages
Content Provider not being updated on synching packages
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
540
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Jiri Kastner
:
Depends On: 671462
Blocks: sat54-errata 671464
  Show dependency treegraph
 
Reported: 2011-01-21 10:36 EST by Martin Poole
Modified: 2011-05-26 06:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-34.el5sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 05:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2011-01-21 10:36:11 EST
Description of problem:

satellite 5.4 is not updating the Content Provider field when importing new packages

"Today I re-ran satellite-sync and pulled down a small collection of packages and Errata.

Within RHEL 5 channel I browsed to kernel packages (since that was one of errata) and confirmed it was sync'd with Unknown for Content Provider.

https://rlx-1-18.rhndev.redhat.com/rhn/channels/ChannelPackages.do?cid=101

the filter by kernel and look for:

kernel-2.6.18-238.1.1.el5.i686     The Linux kernel (the core of the Linux operating system)     Unknown

kernel-2.6.18-238.el5.i686     The Linux kernel (the core of the Linux operating system)     Red Hat Inc. "


Running

   spacewalk-update-signatures -d rhnsat/rhnsat@rhnsat 

can fix things if you're lucky, but I hit two bugs that causes it to fail.
Comment 1 Michael Mráka 2011-01-28 08:01:04 EST
Fixed in spacewalk nightly by

commit f7d42e8e79aeca2c43da2cc47fd4b9f7ca3308b7
    671465 - fixed signature import
    
    and also moved signature / content provider import to PackageImport
    where we already know package_id thus needn't go to database for it

Fixed spacewalk package: spacewalk-backend-1.3.52-1
Comment 3 Jiri Kastner 2011-03-25 05:59:25 EDT
########### SYNC #################
satellite-sync
.....

05:54:44 Downloading rpm packages
05:54:44    Fetching any missing RPMs: rhel-i386-server-6 (3)
05:54:45       1/3 Fetch successful: tzdata-2011d-1.el6.noarch.rpm (457308 bytes)
05:54:46       2/3 Fetch successful: tzdata-java-2011d-1.el6.noarch.rpm (154796 bytes)
05:54:47       3/3 Fetch successful: cifs-utils-4.4-5.el6_0.2.i686.rpm (39436 bytes)
.....
############# WEBUI ###################

############### tzdata #################
tzdata-2010l-1.el6.noarch	 Timezone data	 Red Hat Inc.
tzdata-2010o-1.el6.noarch	 Timezone data	 Red Hat Inc.
tzdata-2011b-1.el6.noarch	 Timezone data	 Red Hat Inc.
tzdata-2011d-1.el6.noarch	 Timezone data	 Red Hat Inc.
tzdata-java-2010l-1.el6.noarch	 Timezone data for Java	 Red Hat Inc.
tzdata-java-2010o-1.el6.noarch	 Timezone data for Java	 Red Hat Inc.
tzdata-java-2011b-1.el6.noarch	 Timezone data for Java	 Red Hat Inc.
tzdata-java-2011d-1.el6.noarch	 Timezone data for Java	 Red Hat Inc.

########### cifs-utils: ###############
cifs-utils-4.4-5.el6_0.2.i686	 Utilities for mounting and managing CIFS mounts	 Red Hat Inc.
cifs-utils-4.4-5.el6.i686	 Utilities for mounting and managing CIFS mounts	 Red Hat Inc.
Comment 4 errata-xmlrpc 2011-03-28 05:33:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0387.html

Note You need to log in before you can comment on or make changes to this bug.